

*{
    margin: 0px;
    padding:0px;
  
     font-family: 'Trebuchet MS', 'sans-serif ' ;
    
    
}


body{
  
    overflow-x: hidden;
   background-color: rgb(249, 250, 251);
   
}
#name-site{
  color: rgb(30, 92, 173);
  font-weight: bold;
  font-size: 20px;
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 5px;
  
  
}
#imglogo{
  height: 20px;
  width: 20px;
}

/*buscador do site---------------------------------*/
 #buscar{
  display: flex;
  position: absolute;
  justify-content: center;
  align-items: center;
  right:100px;
  justify-content: center;
  align-items: center;

 }

#search_box{
        
        height:10px;
        width:250px;
        display:block;
        border-radius:3px;
        border:1px solid black;
        cursor:auto;
        padding:10px;
        border-radius: 25px 0px  0px 25px;
        font-family: sans-serif;
   
 }

 #search_box:focus{
   outline: 2px solid rgb(45, 154, 244);
   outline-offset: -2px;
 }
    #lista{
        display: none;
        background-color: rgb(30, 92, 173);
        position: absolute;
        right:auto;
        top:40px;
        width:250px;
        padding:5px;
       z-index: 3;    
       list-style-type:none;
      text-decoration: none;  
      border-radius: 5px;
     
      
          
        
    }

    #list li a{
 text-decoration: none; 
 font-weight: normal;
 
    }

    .list a{
        color:white;
        list-style-type:none;   
       
    }

  

   .list{
        list-style-type:none;
        margin-top:10px;
        color:white;
        font-weight: normal;
         text-decoration: none; 
             padding: 3px 10px;
     
    }
    
    .list:hover{
        background-color: rgb(49, 65, 88);
        border-radius: 5px;
        
    }

    #search{
      display: flex;
      align-items: center;
      justify-content: center;
        height: 22px;
        width: 20px;
        background-color:rgb(15, 30, 102);
        color: white;
        padding: 5px;
        border-radius:0px 25px 25px 0px;
        margin-left: -10px;     
        
}

    #buscar span {
        align-items: center;
        justify-content: center;
} 

/*Cabeçalho***********************************************************************************/
header{
 
   border-bottom: 2px solid rgb(15, 30, 102) ;
    box-shadow: 0px 2px 10px 2px rgba(0,0,0,0.2);
       background-color: rgb(249, 250, 251);
}
#header-top{
  min-height: 40px;
   background-color: rgb(249, 250, 251);
   display: flex;
   align-items: center;

}

#header-top>p{
  margin-left:30px;
}
/*navigation*/

.img_tool{
  height:15px;
  width: 15px;
  margin-right: 5px;
}
.nav-menu{
 padding: 0;
}
.nav {
  background-color: rgb(15, 30, 102);
   
  display: flex;
  gap: 30px;
  flex-wrap: wrap;
}

.menu {
  list-style: none;
  display: flex;
  gap: 20px;
  position: relative;
  margin-left: 30px;
  z-index: 1;
}

.menu > li > a {
  color: rgb(15, 30, 102);
  padding: 7px;
  display: block;
  text-decoration: none;
  transition: 0.3s;
  min-width: 230px;
  align-items: center;
  justify-content: center;
  display: flex;

}
.menu > li:hover > a {
  background-color: rgb(236, 238, 240);
  border-radius: 2px;
}

.submenu li:hover{
   background-color: rgb(30, 92, 173);
}
/* ----- SETAS ----- */
/* seta para baixo (itens primários com submenu) */
.menu > li.has-sub > a::after {
  content: "  ▼";
  font-size: 8px;
}

/* seta para a direita (submenu com mais nível) */
.submenu li.has-sub2 > a::after {
  content: "  ▼";
  font-size: 8px;
  float: right;

}

.submenu,
.submenu2 {
    display: none;
}

/* Mostra quando tem a classe .open */
.has-sub.open > .submenu {
    display: block;
}

.has-sub2.open > .submenu2 {
    display: block;
}

/* Opcional: muda estilo do item aberto */
.has-sub.open > a,
.has-sub2.open > a {
    font-weight: bold;
}


/* SUBMENU NÍVEL 2 */
.submenu {
  list-style: none;
  position: absolute;
  background-color: rgb(49, 65, 88);
  display: none;
  margin-top: 0;
  min-width: 230px;
  
  

}



.submenu li a {
  border-bottom: 1px solid white;
  padding: 7px;
  display: block;
  color: white;
  transition: 0.3s;
  min-width: 230px;
  text-decoration: none;
  border:1px solid white;

}


/* NÍVEL 3 */
.submenu2 {
  list-style: none;
  position: absolute;
  left: 100%;
  top: 0%;
  display: none;
  min-width: 180px;
  background-color: rgb(49, 65, 88);
  
}
.has-sub2{
  position: relative;
}



/* ---------------------------
   MENU MOBILE
----------------------------*/
.menu-btn {
    display: none;
    padding: 15px;
    background: #222;
    color: #fff;
    cursor: pointer;
    font-size: 20px;
}




/*main////////////////////////////////////////////////////////////////////////////////////////////////////////*/

#propaganda2{
    width: auto;
    margin: 50px;
 
    height: 250px;
    border-radius: 5px;
}

#section-2{
   
    box-shadow: 0px 5px 10px 2px rgba(0,0,0,0.5);
    justify-content: center;
    align-items: center;
    text-align: center;

     height: auto;
    min-width: 50%;
    margin: 20px;
    padding:20px;
    border: 1px solid #E9ECEF;
    background-color: white;
    border-radius: 10px;
    display: block;
    box-shadow: 0px 5px 10px 2px rgba(0,0,0,0.2);
}

#section-1{
 

     display: flex;
    flex-direction: row;
    
    margin-top: 10px;
    margin-bottom: 20px;
    justify-content: space-around;

}
#section-calc{
  display: block;
  min-width: 50%;
  

}



#propaganda1{
    min-width:25%;
    margin: 20px;

    border-radius: 5px;
    max-height: auto;

}

/*box das conversões*/

#Selection{
    display: flex;
    gap: 10px;
    justify-content: center;
    align-items: center;
   
}
h1{
      font-size: 16px;
    margin-bottom: 30px;
    padding: 5px;
    border-bottom: 1.5px solid rgb(170, 166, 166);
    text-align: left;
      color: rgb(15, 30, 102);
}

h2{
      font-size: 14px;
    margin-bottom: 10px;
    font-weight: normal;
  
    font-weight: bold;
    color: rgb(84, 89, 95);
     text-align: left;
      align-items: center;
    display: flex;
    gap:5px;
    margin-left:7px;

       font-weight: bold;
    color: rgb(49, 65, 88);
}
#imgH3{
    height: 20px;
    width: 20px;
    justify-content: center;
    align-items: center;
    margin-right: 10px;
    margin-bottom:-5px;
   
}

.container-select{
  display: block;
 
}

.label{
  display: flex;
  justify-content:center;
  margin-bottom: 10px;
  color:rgb(49, 65, 88);
}


#dis_in,#dis_out{
     display:flex;
    text-align: center;
    margin-bottom: 20px;
     min-width: 250px;
    min-height: 20px;
    padding: 10px;
    cursor: pointer;
    border: 1px solid rgb(49, 65, 88);
    background-color: rgb(49, 65, 88);
    font-size: 14px;
    cursor: pointer;
    color: WHITE;
     outline-offset: 1px; /* Espaço entre o input e o outline */
    box-shadow: 2px 2px 5px rgba(0,0,0,0.2); /* sombra leve para profundidade */
    outline: none;
    border-radius: 5px 5px 5px 5px;
}

#dis_in:focus,#dis_out:focus{
   outline: 2px solid rgb(45, 154, 244);
    outline-offset: 1px; /* Espaço entre o input e o outline */ 
}

#dis_in option,#dis_out option{
 border: 1px solid white;
  background-color: rgb(45, 154, 244);
  color: white;
}

#arrow{
   
    color: rgb(49, 65, 88);
    
  
}
#input_dis{
     margin-top:20px;
    margin-bottom: 40px;
     width: 230px;
    max-height: 10px;
    background-color: white;
      outline: none;
      border: 1px solid grey;
      border-radius: 5px ;
       padding: 10px;
       margin-top: 20px;
       justify-content: center;
       text-align: center;
        outline-offset: 1px;
        font-family: sans-serif;

}

#input_dis:focus{
   outline: 2px solid rgb(45, 154, 244);

}

#calc{
 
        margin-top: 30px;
       outline: none;
       transition: 0.5s;
       border-radius: 5px;
     border:1px solid rgb(30, 92, 173);
         width: 120px;
      height: 30px;
       background-color: rgb(30, 92, 173);
      color: white;
      font-size: 14px;
       justify-content: center;
       align-items: center;
       

}
#calc:hover{
        background-color: rgb(15, 30, 102);
  outline: none;
    cursor: pointer;
    transition: 1s;
}
#result_box{
   
   display: none;
    height: auto;
    min-width: 50%;
    margin: 20px;
    padding:20px;
    border: 1px solid #E9ECEF;
    background-color: white;
    border-radius: 10px;
    
    box-shadow: 0px 5px 10px 2px rgba(0,0,0,0.2);

}
#result_box>p{
  margin-bottom: 20px;
  font-weight: bold;
  color:rgb(15, 30, 102);
  border-bottom: 1px solid rgb(49, 65, 88);

}

#result_box>div{
   min-width:100%;
    margin:auto;
    justify-content: center;
    text-align: center;
    padding:0px;
    border-radius: 10px;
    border:1px solid rgb(248, 250, 252);
    min-height:50px;
    height: auto;
    background-color: rgb(248, 250, 252);

}
#saida{
    display:inline-block;
    text-align: center;
    padding:10px;
    font-size: 16px;
    font-weight: lighter;
    text-align: center;
    justify-content: center;
    max-width: 600px;
    font-family: sans-serif;
  
}

#section-3{
    background-color: rgb(236, 238, 240);
    min-height:300px;
    display:flex;
    margin-bottom:50px;
}

/*Scrol Horizonta veja tbm----------------------------------------------------------------------------------*/

#section_tool{
 background-color:rgb(236, 238, 240);
   border-radius: 10px;
   margin: 50px;
   padding: 10px;
}

#titlevejaTBM{
  font-weight: bold;
  color: #333;
  margin: 10px 50px;
}

#titlevejaTBM p{
  font-weight: bold;
  color: #333;
  margin-bottom: 20px;
  font-size: 16px;
 
}

.toolMenu{
display:flex;
flex-direction: row;
align-items: flex-end;
width: 100%;
gap: 30px;
text-decoration: none;
list-style: none;

}
.toolMenu li{
cursor: pointer;
transition: 0.3s;
margin-left: 15px;
font-size: 14px;
}

.toolMenu li:hover{
  text-decoration: underline;
}


#vejaTbm_Matematica{
  margin: 10px 50px;
  display:none;
  font-size: 14px;
}
#vejaTbm_Fisica{
  display: none;
    margin: 10px 50px;
      font-size: 14px;
}

#vejaTbm_Medidas{
  display: block;
    margin: 10px 50px;
      font-size: 14px;
}

.veja-tbm{
   width:100%;
    overflow:auto;
    white-space:nowrap;
    
}
.veja-tbm li{
    display: inline-block;
    width: auto;
    vertical-align:top;
    width:auto;
    margin:10px;
    white-space:normal;
    padding:5px 10px;
    background-color: white;
    border:1px SOLID rgb(236, 238, 240);
    border-radius:50px;
    cursor: pointer;
      box-shadow: 0px 5px 10px 2px rgba(0,0,0,0.1);

}
.veja-tbm li a{
text-decoration: none;
color: #333;
  
}

.veja-tbm li{
text-decoration: none;
color: #333;
  
}


.veja-tbm  li:hover {
  transform: scale(1.05,1.05);
  background-color: rgb(30, 92, 173);
  color:white;

}


.veja-tbm::-webkit-scrollbar {
   
  height: 10px;
}
.veja-tbm::-webkit-scrollbar-track{
  background-color: #333;
  border-radius:10px;
}
.veja-tbm::-webkit-scrollbar-thumb{
  background-color: rgb(30, 92, 173);
 border-radius:10px;
 
}

#articleText{
    background-color: rgb(246, 247, 248);
    margin: auto;
    max-width: 800px;
    
    justify-content: center;
    text-align:justify;
    font-family: serif;
    padding: 20px;
    font-size: 18px;
    margin-top: 20px;
    margin-bottom: 20px;
}
#articleText h2{
  font-size: 18px;
  color: black;
  font-style: normal;

}
#articleText h3{
  font-size: 16px;

}
.recuo { 
     text-align: justify;
      text-indent: 1.4em;
      margin: 0.8rem 0;
}
.formula{
    text-align: center;
    font-weight: bold;
}
.destaque {
      font-weight: 600;
    }



#propaganda3{

    
    border-radius: 5px;
    width: auto;
    height: 200px;

}







/*Rodapé********************************************************************************************************************/

#footer-index{
    display: flex;
   
    align-items: center;
    justify-content: center;
    flex-direction: row;
    padding: 20px; 
        background-color: rgb(15, 30, 102);
    box-shadow: 0px 5px 10px 2px rgba(0,0,0,0.5); 
  
}
#footer-index>div{
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    gap: 5px;
    
}

#footer-index>div>p>a{
    color: white;
  padding: 12px 20px;
  border: none;
  border-radius: 6px;
  cursor: pointer;
  font-size: 14px;
  text-decoration: none;
}

#footer-index>div>p{
    color: white;
  padding: 12px 20px;
  font-size: 14px;

 
}
    


#footer-index>div>p>a:hover{
      background: rgb(30, 92, 173);
    

}


.btn-share {
 
  color: white;
  padding: 13px 20px;
  border: none;
  border-radius: 6px;
  cursor: pointer;
  font-size: 15px;
   
   
   
}
.btn-share:hover {
  background: rgb(30, 92, 173);
}


















@media (max-width:850px) {

#propaganda1{
    display:none;
}

#dis_in,#dis_out{
    min-width: 120px;
}
#saida,#not{
    font-size: 14px;
}


/*navigation  responsivel*/


#nav-menu{
 display: block;
 margin-left: 0px;
}
.menu{
  display: block;
   margin-left: 0px;
     text-align: center;
   
}

.menu li{
    border-bottom: 1px solid white;
}

/* SUBMENU NÍVEL 2 */
.submenu {
 
  position: absolute;
  background-color: red;
  display: none;
  margin-top: 0;
  min-width: 100%;

}


.submenu li a {
  border-bottom: 1px solid white;
  padding: 7px;
  display: block;
  color: white;
  transition: 0.3s;
  min-width: 220px;
  text-decoration: none;
  border:1px solid white;
  background-color: rgb(49, 65, 88);

}


/* NÍVEL 3 */
.submenu2 {
  list-style: none;
  position: static;

  top: 0%;
  display: none;
  min-width: 100%;
  background-color: rgb(30, 92, 173);

  
}
.submenu2 li a{
 background-color: rgb(30, 92, 173);
}

.menu > li:hover > a {

    background-color: rgb(236, 238, 240);
  border-radius: 2px;
}

.submenu li:hover{
  background-color: none;
}

/*veja tbm resposnsivel*/
#section_tool{
 background-color:rgb(236, 238, 240);
   border-radius: 10px;
   margin: 1px;
   padding: 5px;
    font-size: 12px;
}

#titlevejaTBM{
  font-weight: bold;
  color: #333;
  margin: 10px 10px;
   font-size: 12px;
}


#vejaTbm_Matematica{
  margin: 10px 20px;
  display: block;
 font-size: 12px;
}
#vejaTbm_Fisica{
  display: none;
  margin: 10px 20px;
  font-size: 12px;
}

#vejaTbm_Medidas{
  display: none;
    margin: 10px 20px;
      font-size: 12px;
}


#name-site{

  font-size: 18px;
}

#search_box{
   
        width:200px; 
 }

  #buscar{

  right:50px;

 }
}






/**************************************************************************************************************/
@media (max-width:600px) {

  #name-site{
    font-size: 16px;
 }
#selection1,#selection2,#selection3,#selection4,#selection5,#selection6{
    font-size: 10px;
      width: 150px;
}

#entrada1,#entrada2,#entrada3,#entrada4,#entrada5,#entrada6{

     width: 150px;
     font-size: 10px;
     color: black;

       
}

.label{
   
    font-size: 10px;

}


#search_box{

     width:150px;
     font-size: 10px;
 
 }

 #lista{
  font-size: 10px;
  width: 200px;
 }
  #buscar{

  right:20px;height: 5px;
 
 }

 
#div-unid>p{
    font-weight:bold;

    font-size: 10px; 

}

#label-unid{

   font-size: 10px;
}
#unidade{

    font-size: 10px;
}

h1{
      font-size: 11px;
}

h2{
      font-size: 10px;
   
}

/*veja tbm resposnsivel*/
#section_tool{

   border-radius: 10px;
   margin: 1px;
   padding: 5px;
    font-size: 10px;
}


#titlevejaTBM{

  color: #333;
  margin: 10px 10px;
   font-size: 10px;
}

#titlevejaTBM>p{
  font-size: 11px;
}

#titlevejaTBM>ul>li{
  font-size: 10px;
}

#vejaTbm_Matematica{
  margin: 10px 20px;
 font-size: 10px;
}
#vejaTbm_Fisica{

  margin: 10px 20px;
  font-size: 10px;
}

#vejaTbm_Medidas{

    margin: 10px 20px;
      font-size: 10px;
}

.veja-tbm::-webkit-scrollbar {
   
  height: 8px;
}
#calc{
    font-size: 10px; 
}

#casa-decimal-1>p{

    font-size: 10px; 
}

#casa_decimal{

    font-size: 10px;      
}

/*Resultado*/
#div-result{
    display: none;
    height: auto;
    min-width: 50%;
    margin: 20px;


}

#result_box>p{
  margin-top:20px;
  font-size: 10px;
  
}



span#resultado{
 
    font-size: 10px;
  
}

#saida{
  font-size: 10px;
  color: black;
}

.menu{
font-size: 12px;
}

#section-3 p{
  font-size: 10px;
}

#section-3 h3,#section-3 h2{
  font-size: 11px;
}

#footer-index>div>p>a{
  font-size: 10px;

}

#dis_in,#dis_out{
    max-width: 200px;
    min-height: 20px;
    font-size: 10px;
}

#input_dis{
  width: 200px;
  font-size: 10px;

}
}


